<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20221116164805 extends AbstractMigration
{
    public function getDescription(): string
    {
        return '';
    }

    public function up(Schema $schema): void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE TABLE "article" (id UUID NOT NULL, created_by_organisation_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_23A0E665E237E06 ON "article" (name)');
        $this->addSql('CREATE INDEX IDX_23A0E66B414DD25 ON "article" (created_by_organisation_id)');
        $this->addSql('CREATE TABLE article_organisation (article_id UUID NOT NULL, organisation_id UUID NOT NULL, PRIMARY KEY(article_id, organisation_id))');
        $this->addSql('CREATE INDEX IDX_35AD45257294869C ON article_organisation (article_id)');
        $this->addSql('CREATE INDEX IDX_35AD45259E6B1585 ON article_organisation (organisation_id)');
        $this->addSql('CREATE TABLE "champ" (id UUID NOT NULL, formulaire_id UUID NOT NULL, type VARCHAR(255) NOT NULL, line INT NOT NULL, colonne INT NOT NULL, details JSONB NOT NULL, field_for_coresponsable BOOLEAN DEFAULT \'false\' NOT NULL, field_for_soustraitant BOOLEAN DEFAULT \'false\' NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_2F61E0AD5053569B ON "champ" (formulaire_id)');
        $this->addSql('CREATE TABLE "coresponsable" (id UUID NOT NULL, representant_id UUID DEFAULT NULL, delegue_id UUID DEFAULT NULL, raisonsociale VARCHAR(255) NOT NULL, phone VARCHAR(10) DEFAULT NULL, fax VARCHAR(10) DEFAULT NULL, address VARCHAR(255) DEFAULT NULL, email VARCHAR(255) DEFAULT NULL, siren VARCHAR(9) DEFAULT NULL, siret VARCHAR(14) DEFAULT NULL, ape VARCHAR(5) DEFAULT NULL, logo TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80176C17B6 ON "coresponsable" (raisonsociale)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80444F97DD ON "coresponsable" (phone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF809123CD68 ON "coresponsable" (fax)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80E7927C74 ON "coresponsable" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80DB8BBA08 ON "coresponsable" (siren)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF8026E94372 ON "coresponsable" (siret)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80E48E9A13 ON "coresponsable" (logo)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF806C4A52F0 ON "coresponsable" (representant_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_DF5EBF80C283956F ON "coresponsable" (delegue_id)');
        $this->addSql('CREATE TABLE coresponsable_organisation (coresponsable_id UUID NOT NULL, organisation_id UUID NOT NULL, PRIMARY KEY(coresponsable_id, organisation_id))');
        $this->addSql('CREATE INDEX IDX_9E78917968FA10EB ON coresponsable_organisation (coresponsable_id)');
        $this->addSql('CREATE INDEX IDX_9E7891799E6B1585 ON coresponsable_organisation (organisation_id)');
        $this->addSql('CREATE TABLE "delegue" (id UUID NOT NULL, civility VARCHAR(4) DEFAULT NULL, first_name VARCHAR(255) DEFAULT NULL, last_name VARCHAR(255) DEFAULT NULL, email VARCHAR(255) DEFAULT NULL, cellphone VARCHAR(10) DEFAULT NULL, phone VARCHAR(10) DEFAULT NULL, number_cnil VARCHAR(50) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C89E71DDE7927C74 ON "delegue" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C89E71DDAAA18E60 ON "delegue" (cellphone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C89E71DD444F97DD ON "delegue" (phone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C89E71DDF86157F3 ON "delegue" (number_cnil)');
        $this->addSql('CREATE TABLE "dirigeant" (id UUID NOT NULL, organisation_id UUID NOT NULL, civility VARCHAR(4) NOT NULL, first_name VARCHAR(255) NOT NULL, last_name VARCHAR(255) NOT NULL, email VARCHAR(255) DEFAULT NULL, phone VARCHAR(10) DEFAULT NULL, function VARCHAR(255) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_BEC71E71E7927C74 ON "dirigeant" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_BEC71E71444F97DD ON "dirigeant" (phone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_BEC71E719E6B1585 ON "dirigeant" (organisation_id)');
        $this->addSql('CREATE TABLE "dpo" (id UUID NOT NULL, organisation_id UUID NOT NULL, user_id UUID DEFAULT NULL, number VARCHAR(50) NOT NULL, email VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_42ADBFD196901F54 ON "dpo" (number)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_42ADBFD1E7927C74 ON "dpo" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_42ADBFD19E6B1585 ON "dpo" (organisation_id)');
        $this->addSql('CREATE INDEX IDX_42ADBFD1A76ED395 ON "dpo" (user_id)');
        $this->addSql('CREATE TABLE "file" (id UUID NOT NULL, article_id UUID DEFAULT NULL, file_name VARCHAR(255) NOT NULL, path VARCHAR(512) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8C9F3610B548B0F ON "file" (path)');
        $this->addSql('CREATE INDEX IDX_8C9F36107294869C ON "file" (article_id)');
        $this->addSql('CREATE TABLE forget_token (id UUID NOT NULL, user_id UUID NOT NULL, token VARCHAR(255) NOT NULL, expire_at TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_51C962525F37A13B ON forget_token (token)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_51C96252A76ED395 ON forget_token (user_id)');
        $this->addSql('CREATE TABLE "formulaire" (id UUID NOT NULL, created_by_organisation_id UUID NOT NULL, options_id UUID DEFAULT NULL, is_active BOOLEAN DEFAULT \'false\' NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, is_violation BOOLEAN DEFAULT \'false\' NOT NULL, is_activite BOOLEAN DEFAULT \'false\' NOT NULL, is_rt_externe BOOLEAN DEFAULT \'false\' NOT NULL, is_archived BOOLEAN DEFAULT \'false\' NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_5BDD01A85E237E06 ON "formulaire" (name)');
        $this->addSql('CREATE INDEX IDX_5BDD01A8B414DD25 ON "formulaire" (created_by_organisation_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_5BDD01A83ADB05F1 ON "formulaire" (options_id)');
        $this->addSql('CREATE TABLE formulaire_organisation (formulaire_id UUID NOT NULL, organisation_id UUID NOT NULL, PRIMARY KEY(formulaire_id, organisation_id))');
        $this->addSql('CREATE INDEX IDX_EB3779FE5053569B ON formulaire_organisation (formulaire_id)');
        $this->addSql('CREATE INDEX IDX_EB3779FE9E6B1585 ON formulaire_organisation (organisation_id)');
        $this->addSql('CREATE TABLE "modele_presentation" (id UUID NOT NULL, organisation_id UUID NOT NULL, file_name VARCHAR(255) NOT NULL, path VARCHAR(512) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_15124EFFD7DF1668 ON "modele_presentation" (file_name)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_15124EFFB548B0F ON "modele_presentation" (path)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_15124EFF9E6B1585 ON "modele_presentation" (organisation_id)');
        $this->addSql('CREATE TABLE "norme" (id UUID NOT NULL, norme VARCHAR(2) NOT NULL, numero VARCHAR(3) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, abroger BOOLEAN DEFAULT \'false\' NOT NULL, file_name VARCHAR(255) DEFAULT NULL, path VARCHAR(512) DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_399BE5675E237E06 ON "norme" (name)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_399BE567D7DF1668 ON "norme" (file_name)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_399BE567B548B0F ON "norme" (path)');
        $this->addSql('CREATE TABLE "option" (id UUID NOT NULL, use_sous_finalite BOOLEAN DEFAULT \'false\' NOT NULL, use_base_legale BOOLEAN DEFAULT \'false\' NOT NULL, use_decision_automatisee BOOLEAN DEFAULT \'false\' NOT NULL, use_transfert_hors_ue BOOLEAN DEFAULT \'false\' NOT NULL, use_donnees_sensible BOOLEAN DEFAULT \'false\' NOT NULL, use_all_extension_files BOOLEAN DEFAULT \'false\' NOT NULL, use_pia BOOLEAN DEFAULT \'false\' NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE TABLE "organisation" (id UUID NOT NULL, raisonsociale VARCHAR(255) NOT NULL, phone VARCHAR(10) NOT NULL, fax VARCHAR(10) DEFAULT NULL, address VARCHAR(255) NOT NULL, email VARCHAR(255) NOT NULL, sigle VARCHAR(255) DEFAULT NULL, siret VARCHAR(14) NOT NULL, ape VARCHAR(5) NOT NULL, logo TEXT DEFAULT NULL, rgpd BOOLEAN DEFAULT \'false\' NOT NULL, registre_prefix VARCHAR(50) DEFAULT \'DPO-\' NOT NULL, registre_number INT DEFAULT 0 NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B4176C17B6 ON "organisation" (raisonsociale)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B4444F97DD ON "organisation" (phone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B49123CD68 ON "organisation" (fax)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B4E7927C74 ON "organisation" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B48776B952 ON "organisation" (sigle)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B426E94372 ON "organisation" (siret)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E6E132B4E48E9A13 ON "organisation" (logo)');
        $this->addSql('CREATE TABLE "organisation_user_role" (id UUID NOT NULL, organisation_id UUID DEFAULT NULL, user_id UUID NOT NULL, role_id UUID NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_C8A4127B9E6B1585 ON "organisation_user_role" (organisation_id)');
        $this->addSql('CREATE INDEX IDX_C8A4127BA76ED395 ON "organisation_user_role" (user_id)');
        $this->addSql('CREATE INDEX IDX_C8A4127BD60322AC ON "organisation_user_role" (role_id)');
        $this->addSql('CREATE TABLE "referentiel" (id UUID NOT NULL, file_id UUID DEFAULT NULL, abroger BOOLEAN DEFAULT \'false\' NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_B76C20295E237E06 ON "referentiel" (name)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_B76C202993CB796C ON "referentiel" (file_id)');
        $this->addSql('CREATE TABLE "representant" (id UUID NOT NULL, civility VARCHAR(4) DEFAULT NULL, first_name VARCHAR(255) DEFAULT NULL, last_name VARCHAR(255) DEFAULT NULL, email VARCHAR(255) DEFAULT NULL, phone VARCHAR(10) DEFAULT NULL, function VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_80D5DBC9E7927C74 ON "representant" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_80D5DBC9444F97DD ON "representant" (phone)');
        $this->addSql('CREATE TABLE "role" (id UUID NOT NULL, name VARCHAR(255) NOT NULL, composites JSONB NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_57698A6A5E237E06 ON "role" (name)');
        $this->addSql('CREATE TABLE service (id UUID NOT NULL, organisation_id UUID NOT NULL, name VARCHAR(255) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_E19D9AD29E6B1585 ON service (organisation_id)');
        $this->addSql('CREATE UNIQUE INDEX IDX_PARTY_NAME_ORGANISATION ON service (name, organisation_id)');
        $this->addSql('CREATE TABLE service_user (service_id UUID NOT NULL, user_id UUID NOT NULL, PRIMARY KEY(service_id, user_id))');
        $this->addSql('CREATE INDEX IDX_43D062A5ED5CA9E6 ON service_user (service_id)');
        $this->addSql('CREATE INDEX IDX_43D062A5A76ED395 ON service_user (user_id)');
        $this->addSql('CREATE TABLE "soustraitant" (id UUID NOT NULL, representant_id UUID DEFAULT NULL, delegue_id UUID DEFAULT NULL, raisonsociale VARCHAR(255) NOT NULL, phone VARCHAR(10) DEFAULT NULL, fax VARCHAR(10) DEFAULT NULL, address VARCHAR(255) DEFAULT NULL, email VARCHAR(255) DEFAULT NULL, siren VARCHAR(9) DEFAULT NULL, siret VARCHAR(14) DEFAULT NULL, ape VARCHAR(5) DEFAULT NULL, logo TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422176C17B6 ON "soustraitant" (raisonsociale)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422444F97DD ON "soustraitant" (phone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB4229123CD68 ON "soustraitant" (fax)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422E7927C74 ON "soustraitant" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422DB8BBA08 ON "soustraitant" (siren)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB42226E94372 ON "soustraitant" (siret)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422E48E9A13 ON "soustraitant" (logo)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB4226C4A52F0 ON "soustraitant" (representant_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_375AB422C283956F ON "soustraitant" (delegue_id)');
        $this->addSql('CREATE TABLE soustraitant_organisation (soustraitant_id UUID NOT NULL, organisation_id UUID NOT NULL, PRIMARY KEY(soustraitant_id, organisation_id))');
        $this->addSql('CREATE INDEX IDX_84ED0D9569F84DF ON soustraitant_organisation (soustraitant_id)');
        $this->addSql('CREATE INDEX IDX_84ED0D99E6B1585 ON soustraitant_organisation (organisation_id)');
        $this->addSql('CREATE TABLE "traitement" (id UUID NOT NULL, formulaire_id UUID DEFAULT NULL, organisation_id UUID DEFAULT NULL, norme_id UUID DEFAULT NULL, service_id UUID DEFAULT NULL, numero VARCHAR(255) DEFAULT NULL, coresponsable BOOLEAN DEFAULT \'false\' NOT NULL, soustraitance BOOLEAN DEFAULT \'false\' NOT NULL, obligation_pia BOOLEAN DEFAULT NULL, realisation_pia BOOLEAN DEFAULT NULL, depot_pia BOOLEAN DEFAULT NULL, transfert_hors_ue BOOLEAN DEFAULT \'false\' NOT NULL, donnees_sensibles BOOLEAN DEFAULT \'false\' NOT NULL, rt_externe BOOLEAN DEFAULT \'false\' NOT NULL, valide BOOLEAN DEFAULT \'true\', partage BOOLEAN DEFAULT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_2A356D27F55AE19E ON "traitement" (numero)');
        $this->addSql('CREATE INDEX IDX_2A356D275053569B ON "traitement" (formulaire_id)');
        $this->addSql('CREATE INDEX IDX_2A356D279E6B1585 ON "traitement" (organisation_id)');
        $this->addSql('CREATE INDEX IDX_2A356D276F0D55C9 ON "traitement" (norme_id)');
        $this->addSql('CREATE INDEX IDX_2A356D27ED5CA9E6 ON "traitement" (service_id)');
        $this->addSql('CREATE TABLE "typage" (id UUID NOT NULL, created_by_organisation_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_E0FD05F65E237E06 ON "typage" (name)');
        $this->addSql('CREATE INDEX IDX_E0FD05F6B414DD25 ON "typage" (created_by_organisation_id)');
        $this->addSql('CREATE TABLE typage_organisation (typage_id UUID NOT NULL, organisation_id UUID NOT NULL, PRIMARY KEY(typage_id, organisation_id))');
        $this->addSql('CREATE INDEX IDX_EBD786596973B056 ON typage_organisation (typage_id)');
        $this->addSql('CREATE INDEX IDX_EBD786599E6B1585 ON typage_organisation (organisation_id)');
        $this->addSql('CREATE TABLE "user" (id UUID NOT NULL, current_organisation_id UUID DEFAULT NULL, username VARCHAR(255) NOT NULL, password VARCHAR(255) NOT NULL, civility VARCHAR(4) NOT NULL, first_name VARCHAR(255) NOT NULL, last_name VARCHAR(255) NOT NULL, email VARCHAR(255) NOT NULL, cellphone VARCHAR(10) DEFAULT NULL, phone VARCHAR(10) DEFAULT NULL, notification BOOLEAN DEFAULT \'false\' NOT NULL, is_superadmin BOOLEAN DEFAULT \'false\' NOT NULL, is_active BOOLEAN DEFAULT \'true\' NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8D93D649F85E0677 ON "user" (username)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8D93D649E7927C74 ON "user" (email)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8D93D649AAA18E60 ON "user" (cellphone)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8D93D649444F97DD ON "user" (phone)');
        $this->addSql('CREATE INDEX IDX_8D93D649D997CF87 ON "user" (current_organisation_id)');
        $this->addSql('CREATE TABLE valeur (id UUID NOT NULL, traitement_id UUID DEFAULT NULL, value TEXT NOT NULL, name VARCHAR(255) NOT NULL, created_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, updated_at TIMESTAMP(0) WITH TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_1B44CD51DDA344B6 ON valeur (traitement_id)');
        $this->addSql('ALTER TABLE "article" ADD CONSTRAINT FK_23A0E66B414DD25 FOREIGN KEY (created_by_organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE article_organisation ADD CONSTRAINT FK_35AD45257294869C FOREIGN KEY (article_id) REFERENCES "article" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE article_organisation ADD CONSTRAINT FK_35AD45259E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "champ" ADD CONSTRAINT FK_2F61E0AD5053569B FOREIGN KEY (formulaire_id) REFERENCES "formulaire" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "coresponsable" ADD CONSTRAINT FK_DF5EBF806C4A52F0 FOREIGN KEY (representant_id) REFERENCES "representant" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "coresponsable" ADD CONSTRAINT FK_DF5EBF80C283956F FOREIGN KEY (delegue_id) REFERENCES "delegue" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE coresponsable_organisation ADD CONSTRAINT FK_9E78917968FA10EB FOREIGN KEY (coresponsable_id) REFERENCES "coresponsable" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE coresponsable_organisation ADD CONSTRAINT FK_9E7891799E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "dirigeant" ADD CONSTRAINT FK_BEC71E719E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "dpo" ADD CONSTRAINT FK_42ADBFD19E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "dpo" ADD CONSTRAINT FK_42ADBFD1A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "file" ADD CONSTRAINT FK_8C9F36107294869C FOREIGN KEY (article_id) REFERENCES "article" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE forget_token ADD CONSTRAINT FK_51C96252A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "formulaire" ADD CONSTRAINT FK_5BDD01A8B414DD25 FOREIGN KEY (created_by_organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "formulaire" ADD CONSTRAINT FK_5BDD01A83ADB05F1 FOREIGN KEY (options_id) REFERENCES "option" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE formulaire_organisation ADD CONSTRAINT FK_EB3779FE5053569B FOREIGN KEY (formulaire_id) REFERENCES "formulaire" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE formulaire_organisation ADD CONSTRAINT FK_EB3779FE9E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "modele_presentation" ADD CONSTRAINT FK_15124EFF9E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "organisation_user_role" ADD CONSTRAINT FK_C8A4127B9E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "organisation_user_role" ADD CONSTRAINT FK_C8A4127BA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "organisation_user_role" ADD CONSTRAINT FK_C8A4127BD60322AC FOREIGN KEY (role_id) REFERENCES "role" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "referentiel" ADD CONSTRAINT FK_B76C202993CB796C FOREIGN KEY (file_id) REFERENCES "file" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service ADD CONSTRAINT FK_E19D9AD29E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_user ADD CONSTRAINT FK_43D062A5ED5CA9E6 FOREIGN KEY (service_id) REFERENCES service (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_user ADD CONSTRAINT FK_43D062A5A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "soustraitant" ADD CONSTRAINT FK_375AB4226C4A52F0 FOREIGN KEY (representant_id) REFERENCES "representant" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "soustraitant" ADD CONSTRAINT FK_375AB422C283956F FOREIGN KEY (delegue_id) REFERENCES "delegue" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE soustraitant_organisation ADD CONSTRAINT FK_84ED0D9569F84DF FOREIGN KEY (soustraitant_id) REFERENCES "soustraitant" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE soustraitant_organisation ADD CONSTRAINT FK_84ED0D99E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "traitement" ADD CONSTRAINT FK_2A356D275053569B FOREIGN KEY (formulaire_id) REFERENCES "formulaire" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "traitement" ADD CONSTRAINT FK_2A356D279E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "traitement" ADD CONSTRAINT FK_2A356D276F0D55C9 FOREIGN KEY (norme_id) REFERENCES "norme" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "traitement" ADD CONSTRAINT FK_2A356D27ED5CA9E6 FOREIGN KEY (service_id) REFERENCES service (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "typage" ADD CONSTRAINT FK_E0FD05F6B414DD25 FOREIGN KEY (created_by_organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE typage_organisation ADD CONSTRAINT FK_EBD786596973B056 FOREIGN KEY (typage_id) REFERENCES "typage" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE typage_organisation ADD CONSTRAINT FK_EBD786599E6B1585 FOREIGN KEY (organisation_id) REFERENCES "organisation" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE "user" ADD CONSTRAINT FK_8D93D649D997CF87 FOREIGN KEY (current_organisation_id) REFERENCES "organisation" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE valeur ADD CONSTRAINT FK_1B44CD51DDA344B6 FOREIGN KEY (traitement_id) REFERENCES "traitement" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
    }

    public function down(Schema $schema): void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE SCHEMA public');
        $this->addSql('ALTER TABLE article_organisation DROP CONSTRAINT FK_35AD45257294869C');
        $this->addSql('ALTER TABLE "file" DROP CONSTRAINT FK_8C9F36107294869C');
        $this->addSql('ALTER TABLE coresponsable_organisation DROP CONSTRAINT FK_9E78917968FA10EB');
        $this->addSql('ALTER TABLE "coresponsable" DROP CONSTRAINT FK_DF5EBF80C283956F');
        $this->addSql('ALTER TABLE "soustraitant" DROP CONSTRAINT FK_375AB422C283956F');
        $this->addSql('ALTER TABLE "referentiel" DROP CONSTRAINT FK_B76C202993CB796C');
        $this->addSql('ALTER TABLE "champ" DROP CONSTRAINT FK_2F61E0AD5053569B');
        $this->addSql('ALTER TABLE formulaire_organisation DROP CONSTRAINT FK_EB3779FE5053569B');
        $this->addSql('ALTER TABLE "traitement" DROP CONSTRAINT FK_2A356D275053569B');
        $this->addSql('ALTER TABLE "traitement" DROP CONSTRAINT FK_2A356D276F0D55C9');
        $this->addSql('ALTER TABLE "formulaire" DROP CONSTRAINT FK_5BDD01A83ADB05F1');
        $this->addSql('ALTER TABLE "article" DROP CONSTRAINT FK_23A0E66B414DD25');
        $this->addSql('ALTER TABLE article_organisation DROP CONSTRAINT FK_35AD45259E6B1585');
        $this->addSql('ALTER TABLE coresponsable_organisation DROP CONSTRAINT FK_9E7891799E6B1585');
        $this->addSql('ALTER TABLE "dirigeant" DROP CONSTRAINT FK_BEC71E719E6B1585');
        $this->addSql('ALTER TABLE "dpo" DROP CONSTRAINT FK_42ADBFD19E6B1585');
        $this->addSql('ALTER TABLE "formulaire" DROP CONSTRAINT FK_5BDD01A8B414DD25');
        $this->addSql('ALTER TABLE formulaire_organisation DROP CONSTRAINT FK_EB3779FE9E6B1585');
        $this->addSql('ALTER TABLE "modele_presentation" DROP CONSTRAINT FK_15124EFF9E6B1585');
        $this->addSql('ALTER TABLE "organisation_user_role" DROP CONSTRAINT FK_C8A4127B9E6B1585');
        $this->addSql('ALTER TABLE service DROP CONSTRAINT FK_E19D9AD29E6B1585');
        $this->addSql('ALTER TABLE soustraitant_organisation DROP CONSTRAINT FK_84ED0D99E6B1585');
        $this->addSql('ALTER TABLE "traitement" DROP CONSTRAINT FK_2A356D279E6B1585');
        $this->addSql('ALTER TABLE "typage" DROP CONSTRAINT FK_E0FD05F6B414DD25');
        $this->addSql('ALTER TABLE typage_organisation DROP CONSTRAINT FK_EBD786599E6B1585');
        $this->addSql('ALTER TABLE "user" DROP CONSTRAINT FK_8D93D649D997CF87');
        $this->addSql('ALTER TABLE "coresponsable" DROP CONSTRAINT FK_DF5EBF806C4A52F0');
        $this->addSql('ALTER TABLE "soustraitant" DROP CONSTRAINT FK_375AB4226C4A52F0');
        $this->addSql('ALTER TABLE "organisation_user_role" DROP CONSTRAINT FK_C8A4127BD60322AC');
        $this->addSql('ALTER TABLE service_user DROP CONSTRAINT FK_43D062A5ED5CA9E6');
        $this->addSql('ALTER TABLE "traitement" DROP CONSTRAINT FK_2A356D27ED5CA9E6');
        $this->addSql('ALTER TABLE soustraitant_organisation DROP CONSTRAINT FK_84ED0D9569F84DF');
        $this->addSql('ALTER TABLE valeur DROP CONSTRAINT FK_1B44CD51DDA344B6');
        $this->addSql('ALTER TABLE typage_organisation DROP CONSTRAINT FK_EBD786596973B056');
        $this->addSql('ALTER TABLE "dpo" DROP CONSTRAINT FK_42ADBFD1A76ED395');
        $this->addSql('ALTER TABLE forget_token DROP CONSTRAINT FK_51C96252A76ED395');
        $this->addSql('ALTER TABLE "organisation_user_role" DROP CONSTRAINT FK_C8A4127BA76ED395');
        $this->addSql('ALTER TABLE service_user DROP CONSTRAINT FK_43D062A5A76ED395');
        $this->addSql('DROP TABLE "article"');
        $this->addSql('DROP TABLE article_organisation');
        $this->addSql('DROP TABLE "champ"');
        $this->addSql('DROP TABLE "coresponsable"');
        $this->addSql('DROP TABLE coresponsable_organisation');
        $this->addSql('DROP TABLE "delegue"');
        $this->addSql('DROP TABLE "dirigeant"');
        $this->addSql('DROP TABLE "dpo"');
        $this->addSql('DROP TABLE "file"');
        $this->addSql('DROP TABLE forget_token');
        $this->addSql('DROP TABLE "formulaire"');
        $this->addSql('DROP TABLE formulaire_organisation');
        $this->addSql('DROP TABLE "modele_presentation"');
        $this->addSql('DROP TABLE "norme"');
        $this->addSql('DROP TABLE "option"');
        $this->addSql('DROP TABLE "organisation"');
        $this->addSql('DROP TABLE "organisation_user_role"');
        $this->addSql('DROP TABLE "referentiel"');
        $this->addSql('DROP TABLE "representant"');
        $this->addSql('DROP TABLE "role"');
        $this->addSql('DROP TABLE service');
        $this->addSql('DROP TABLE service_user');
        $this->addSql('DROP TABLE "soustraitant"');
        $this->addSql('DROP TABLE soustraitant_organisation');
        $this->addSql('DROP TABLE "traitement"');
        $this->addSql('DROP TABLE "typage"');
        $this->addSql('DROP TABLE typage_organisation');
        $this->addSql('DROP TABLE "user"');
        $this->addSql('DROP TABLE valeur');
    }
}
